Payment Reminders
Payment Reminders
Manual payment reminder emails for overdue customer invoices.
Send payment reminder
POST
/payment-reminders/sendSend one manual payment reminder email for all overdue unpaid invoices belonging to the selected customer in the active entity.
Request
Header parameters
entity_idstringoptional
Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.
Body parameters
customer_idstringrequired
Customer id to send one payment reminder for. All overdue unpaid invoices for the customer are included.
Other parameters
recipient_emailstring<email>optionalnullable
subjectstringoptionalnullable
body_textstringoptionalnullable
payment_instructionsstringoptionalnullable
localestringoptionalnullable
languagestringoptionalnullable
sandbox_skip_deliverybooleanoptional
import SpaceInvoices from '@spaceinvoices/js-sdk';
const sdk = new SpaceInvoices('YOUR_API_KEY');
const response = await sdk.paymentReminders.sendPaymentReminder({
customer_id: "cust_123",
language: "en-US"
});
console.log(response);Example:
Response
Returns
message_idstring
statusstring
tostring<email>
subjectstring
overdue_invoice_countinteger
invoice_idsarray of strings
sandbox_skip_deliveryboolean
{
"message_id": "msg_123",
"status": "sent",
"to": "customer@example.com",
"subject": "Reminder for 2 overdue invoices",
"overdue_invoice_count": 2,
"invoice_ids": [
"inv_123",
"inv_456"
]
}